Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: kpackagekit probleem  (gelezen 2520 keer)

Offline velden9

  • Lid
  • Steunpunt: Nee
kpackagekit probleem
« Gepost op: 2010/02/09, 20:28:27 »
Ik heb een probleem met KPackageKit.

Als ik zoek krijg ik de fout:

Het oplossen van afhankelijkheden is mislukt.

en bij gedetailleerd rapport staat:

There are broken dependecies on your system. Please use an advanced package manage e.g. Synaptic or aptitude to resolve this situation.

Ik ben nieuw met ubuntu!

Graag wat hulp.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #1 Gepost op: 2010/02/09, 20:55:54 »
Welkom op het forum :)

Dit is helaas een bekende bug van KPackageKit. Je zult hiervoor een Terminalvenster moeten gebruiken om Synaptic te installeren.
Kickoff Menu (linksonderin)>>>tabblad Programma's>>>Systeem>>>Konsole

Voer het volgende commando in:

sudo apt-get install synaptic

Druk op Enter en voer je wachtwoord in (je wachtwoord blijft onzichtbaar, zelfs geen sterretjes, dat hoort zo).
Ga nu naar  Kickoff Menu (linksonderin)>>>tabblad Programma's>>>Synaptic pakketbeheer
Druk aan de linkerkant op Status en dan op Gebroken. Meldt hier wat de gebroken pakketten zijn en dan helpen we je het op te lossen :)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #2 Gepost op: 2010/02/10, 13:50:22 »
mark@Laptop:~$ sudo apt-get install synaptic
[sudo] password for mark:
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.

Dan krijg ik deze melding.

Offline schwarzproductions

  • Lid
    • Open Bron Blog
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #3 Gepost op: 2010/02/10, 14:18:04 »
En werkt sudo dpkg --configure -a ?

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #4 Gepost op: 2010/02/10, 14:38:46 »
En werkt sudo dpkg --configure -a ?

ja dan krijg ik deze regels:

Instellen van java-common (0.30ubuntu5) ...

Instellen van odbcinst1debian1 (2.2.11-16ubuntu1) ...

Instellen van gsfonts-x11 (0.21) ...

Instellen van unixodbc (2.2.11-16ubuntu1) ...

dpkg: vereistenproblemen verhinderen de configuratie van limewire-basic:
 limewire-basic is afhankelijk van sun-java6-jre | icedtea-java7-jre | sun-java6-jdk | icedtea-java7-jdk; maar:
  Pakket `sun-java6-jre' is niet geïnstalleerd.
  Pakket `icedtea-java7-jre' is niet geïnstalleerd.
  Pakket `sun-java6-jdk' is niet geïnstalleerd.
  Pakket `icedtea-java7-jdk' is niet geïnstalleerd.
dpkg: fout bij afhandelen van limewire-basic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Fouten gevonden tijdens behandelen van:
 limewire-basic

Betekend dit dat het aan lime wire licht?

Offline schwarzproductions

  • Lid
    • Open Bron Blog
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #5 Gepost op: 2010/02/10, 14:45:00 »
Waarschijnlijk zal limewire-basic het gebroken pakket zijn waar het over gaat.
Lukt het na een dpkg --configure -a nu om apt-get install synaptic te doen?

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #6 Gepost op: 2010/02/10, 14:45:05 »
Citaat
limewire-basic is afhankelijk van sun-java6-jre | icedtea-java7-jre | sun-java6-jdk | icedtea-java7-jdk; maar:
  Pakket `sun-java6-jre' is niet geïnstalleerd.
  Pakket `icedtea-java7-jre' is niet geïnstalleerd.
  Pakket `sun-java6-jdk' is niet geïnstalleerd.
  Pakket `icedtea-java7-jdk' is niet geïnstalleerd.

Dat is duidelijk, ik zou zeggen, installeer bovenvermelde tooltjes eerst eens, normaal zou alles daarna terug moeten werken.

ps.
Citaat
Lukt het na een dpkg --configure -a nu om apt-get install synaptic te doen?

goede vraag natuurlijk.
« Laatst bewerkt op: 2010/02/10, 14:46:45 door Progger »
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #7 Gepost op: 2010/02/10, 14:58:33 »
En hoe installeer ik de bovenstaande tooltjes het snelst?

Ik heb nu ineens het recht niet meer om deze regels uit te laten voeren.

Af en toe snap ik er niet veel van maarja, ik kom er wel dankzij jullie.

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #8 Gepost op: 2010/02/10, 15:01:25 »
Citaat
Lukt het na een dpkg --configure -a nu om apt-get install synaptic te doen?

Je hebt nog steeds niet geantwoord op bovenstaande vraag, liefst eerst een antwoord, dan is het gemakkelijker om je te helpen.
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #9 Gepost op: 2010/02/10, 15:04:27 »
Citaat
Lukt het na een dpkg --configure -a nu om apt-get install synaptic te doen?

Je hebt nog steeds niet geantwoord op bovenstaande vraag, liefst eerst een antwoord, dan is het gemakkelijker om je te helpen.

Nee dat lukt niet want dan zegt hij:
deze bewerking kan alleen uitgevoerd worden door de beheerder.

terwijl ik de enige gebruiker/beheerder ben.

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #10 Gepost op: 2010/02/10, 15:13:41 »
Het in te voeren commando is wel:

sudo dpkg --configure -a
dus met sudo ervoor, dan heb je wél rechten.

Hetzelfde geldt voor het commando:

sudo apt-get install synaptic
« Laatst bewerkt op: 2010/02/10, 15:16:37 door Progger »
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #11 Gepost op: 2010/02/10, 15:20:52 »
Heb het nu zo gedaan volgens mijn bedoelde je dit:

mark@Laptop:~$ sudo dpkg --configure -a
dpkg: vereistenproblemen verhinderen de configuratie van limewire-basic:
 limewire-basic is afhankelijk van sun-java6-jre | icedtea-java7-jre | sun-java6-jdk | icedtea-java7-jdk; maar:
  Pakket `sun-java6-jre' is niet geïnstalleerd.
  Pakket `icedtea-java7-jre' is niet geïnstalleerd.
  Pakket `sun-java6-jdk' is niet geïnstalleerd.
  Pakket `icedtea-java7-jdk' is niet geïnstalleerd.
dpkg: fout bij afhandelen van limewire-basic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Fouten gevonden tijdens behandelen van:
 limewire-basic
mark@Laptop:~$ apt-get install synaptic
E: Kon het vergrendelingsbestand '/var/lib/dpkg/lock' niet openen - open (13: Toegang geweigerd)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Hij doet hierbij niet iets.

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #12 Gepost op: 2010/02/10, 15:24:14 »
Citaat
mark@Laptop:~$ apt-get install synaptic

Bovenstaande commando moet je zo opgeven:

sudo apt-get install synaptic
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline schwarzproductions

  • Lid
    • Open Bron Blog
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #13 Gepost op: 2010/02/10, 15:25:10 »
Ook hier is het
sudo apt-get install synaptic

Had het er niet bij gezet in mn eerder post, mijn fout.

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #14 Gepost op: 2010/02/10, 15:27:13 »
In mijn post stond het er anders wél bij, maar ts zal daar overgezien hebben denk ik.  :)
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #15 Gepost op: 2010/02/10, 15:32:14 »
Als ik dit doe geeft hij het volgende:

mark@Laptop:~$ sudo apt-get install synaptic
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De status informatie wordt gelezen... Klaar
U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
De volgende pakketten hebben niet-voldane vereisten:
  limewire-basic: Vereisten: sun-java6-jre maar het zal niet geïnstalleerd worden of
                             icedtea-java7-jre maar het is niet installeerbaar of
                             sun-java6-jdk maar het zal niet geïnstalleerd worden of
                             icedtea-java7-jdk maar het is niet installeerbaar
                  Aanbevelingen: libstdc++5 (>= 1:3.3.4-1) maar het is niet installeerbaar
  sun-java6-bin: Vereisten: sun-java6-jre (= 6-15-1) maar het zal niet geïnstalleerd worden
  synaptic: Vereisten: libvte9 (>= 1:0.22.0) maar het zal niet geïnstalleerd worden
            Vereisten: scrollkeeper
            Aanbevelingen: libgnome2-perl maar het zal niet geïnstalleerd worden
            Aanbevelingen: software-properties-gtk maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).

Offline Progger

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #16 Gepost op: 2010/02/10, 15:35:16 »
Doe eens wat er vermeld staat en voer dus dit commando uit zonder iets op te geven van pakket:

sudo apt-get -f install
laat dan eens weten wat het resultaat is.
Laptop MSI U123 (160 GB) 1 GB ramMint Cinnamon 18 LTS
Laptop Toshiba Tecra  (80GB) 2 GB ram Fedora 24
Dell Latitude D600 Pentium M 1400MHz 512MB ram
Bouwjaar 2003 met Debian 8 (Jessie)

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #17 Gepost op: 2010/02/10, 15:45:48 »
Ik zie nu:

Bezig met configureren van sun-java6-jre

en onderaan de pagina <Ok>

Kan alleen niet op ok klikken of met enter verder gaan.
Moet ik gewoon wachten of toch echt op <Ok> zien te drukken.

Offline schwarzproductions

  • Lid
    • Open Bron Blog
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #18 Gepost op: 2010/02/10, 15:48:04 »
Kun je met de pijltjestoetsen naar <OK> navigeren?
Staat er nog iets onder <OK>?

Offline velden9

  • Lid
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #19 Gepost op: 2010/02/10, 15:50:22 »
Ja dankje met de pijltjes naar rechts en links kon ik naar ok.

Je merkt wel dat ik nieuw ben met kubuntu maar ik kom er wel uit zo.

Bedankt voor jullie hulp!!!

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #20 Gepost op: 2010/02/10, 20:07:41 »
Graag gedaan :)

Ik was ook ooit nieuw met Kubuntu, maar nu ben ik haast een goeroe volgens sommigen :P Dus je leert het wel :)

Offline schwarzproductions

  • Lid
    • Open Bron Blog
  • Steunpunt: Nee
Re: kpackagekit probleem
« Reactie #21 Gepost op: 2010/02/10, 20:10:26 »
Graag gedaan :)

Ik was ook ooit nieuw met Kubuntu, maar nu ben ik haast een goeroe volgens sommigen :P Dus je leert het wel :)

Volgens sommigen, inderdaad :evil: XD
Nee, je hebt wel gelijk, het is een leerproces, soms duurt het eer je iets onder de knie hebt. Maar eenmaal je het kent, ken je het ook.